#!/bin/bash -l
#SBATCH -J simul
#SBATCH -o simulout.txt
#SBATCH -e simulerr.txt
#SBATCH --mem-per-cpu=15500
#SBATCH -t 216:00:00
# Montaako ydintä käytetään:
#SBATCH -n 8
#SBATCH -p longrun
#SBATCH --mail-type=END
#SBATCH --mail-user=juho.j.kopra@jyu.fi





# komennot skriptin suorittamiseksi
#   työn lähetyskomento
#     sbatch [script-file]
#   työn tilakomento
#     squeue -u jujokopr
#   työn peruutuskomento
#     scancel [jobid]

# Lisää ohjeita komennolla
#  man sbatch
#  kannattaa tutustua myös Taito-oppaaseen osoitteessa
#  http://research.csc.fi/taito-user-guide

module load r-env
srun -u -n 8 Rmpi --no-save < "modelfitting_master_Rmpi.R"


# Tämä skripti tulostaa käyttöstatistiikkaa
# tiedoston longrun_test_output.txt loppuun
# Tarkastele sitä parantaaksesi resurssivarausten
# arviointia myöhemmissä töissäsi
used_slurm_resources.bash
